libetonyek::IWORKPElement Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::IWORKPElement Class Reference

`#include <IWORKPElement.h>`

Inheritance diagram for libetonyek::IWORKPElement:

## Public Member Functions
| IWORKPElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextMixed, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Protected Member Functions
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.
void | text (const char *value) override
| Process textual content of an element.
void | ensureOpened ()
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextMixed, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextMixed
| IWORKXMLContextMixed (IWORKXMLParserState &)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
IWORKStylePtr_t | m_style
bool | m_opened
bool | m_delayedPageBreak
boost::optional< unsigned > | m_listLevel
boost::optional< bool > | m_restartList

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextMixed, IWORKXMLParserState >
IWORKXMLParserState & | m_state
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKPElement()

libetonyek::IWORKPElement::IWORKPElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKPElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprotectedvirtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKPElement::element | ( | int | name | ) |
| overrideprotectedvirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKPElement::endOfElement | ( |  | ) |
| overrideprotectedvirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## ◆ ensureOpened()

void libetonyek::IWORKPElement::ensureOpened | ( |  | ) |
| protected

Referenced by element(), endOfElement(), and text().

## ◆ text()

void libetonyek::IWORKPElement::text | ( | const char * | value | ) |
| overrideprotectedvirtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_delayedPageBreak

bool libetonyek::IWORKPElement::m_delayedPageBreak
| private

Referenced by element(), endOfElement(), and IWORKPElement().

## ◆ m_listLevel

boost::optional<unsigned> libetonyek::IWORKPElement::m_listLevel
| private

Referenced by attribute(), ensureOpened(), and IWORKPElement().

## ◆ m_opened

bool libetonyek::IWORKPElement::m_opened
| private

Referenced by ensureOpened(), and IWORKPElement().

## ◆ m_restartList

boost::optional<bool> libetonyek::IWORKPElement::m_restartList
| private

Referenced by attribute(), ensureOpened(), and IWORKPElement().

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKPElement::m_style
| private

Referenced by attribute(), ensureOpened(), and IWORKPElement().

The documentation for this class was generated from the following files:

- IWORKPElement.h
- IWORKPElement.cpp